TV Show Appearances

TV show appearances for this artist, sourced from TVmaze. people is an array (usually 0-1 entries) containing the tv_maze_artist row. shows is an array of { title, as, url, year, episodes, show_details }episodes is an aggregated JSON array of episode rows, show_details is the full show row as JSON. The apidoc example types people as a single object; the handler returns an array because db.any(...) was used on the lookup.

Path Parameters
  • id
    Type: integer
    min:  
    2
    max:  
    2147483647
    required

    Chartmetric artist ID. Note: id=1 ('Various Artists') is rejected.

    • enum
      const:  
      1
      values
      • 1
Responses
  • application/json
Request Example for get/api/artist/{id}/tvmaze
curl https://api.chartmetric.com/api/artist/2/tvmaze \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "people": [
      {
        "id": 64614,
        "name": "Ed Sheeran",
        "gender": 1,
        "image": "http://static.tvmaze.com/uploads/images/original_untouched/13/34295.jpg",
        "date_of_birth": "1991-02-01T08:00:00.000Z",
        "date_of_death": null,
        "country_code": "GB",
        "tv_maze_url": "http://www.tvmaze.com/people/64614/ed-sheeran",
        "cm_artist": 3648,
        "created_at": null,
        "modified_at": "2020-11-12T18:09:59.730Z"
      }
    ],
    "shows": [
      {
        "title": "Modern Love",
        "as": "Guest starring as Mick",
        "url": "https://www.tvmaze.com/shows/37120/modern-love",
        "year": "2019",
        "episodes": [
          {
            "id": 1718414,
            "title": "Episode 1x07: Hers Was a World of One",
            "url": "https://www.tvmaze.com/episodes/1718414/modern-love-1x07-hers-was-a-world-of-one",
            "date": "Oct 18, 2019"
          }
        ],
        "show_details": {
          "id": 37120,
          "name": "Modern Love",
          "genres": [
            "Comedy",
            "Romance"
          ],
          "runtime": null,
          "premiered": "2019-10-18T07:00:00.000Z",
          "officialsite": "https://www.amazon.com/dp/B07VMF8TL9/",
          "rating": "7.5",
          "image": "http://static.tvmaze.com/uploads/images/original_untouched/216/540345.jpg",
          "summary": "<p>An unlikely friendship...</p>",
          "tv_maze_url": "http://www.tvmaze.com/shows/37120/modern-love",
          "created_at": "2020-09-23T22:03:25.001Z",
          "modified_at": "2020-11-18T00:36:13.551Z"
        }
      }
    ]
  }
}